package main

Clouds :: struct {
	all: f32,
}

Sys :: struct {
	sunrise: i64,
	sunset:  i64,
	country: string,
}

Coord :: struct {
	lon: f32,
	lat: f32,
}

Weather :: struct {
	id:          int,
	main:        string,
	icon:        string,
	description: string,
}

Main :: struct {
	temp_min:   f32,
	feels_like: f32,
	pressure:   int,
	temp_max:   f32,
	temp:       f32,
	humidity:   int,
	sea_level:  int,
	grnd_level: int,
}

Wind :: struct {
	gust:  f32,
	speed: f32,
	deg:   int,
}

Visibility :: struct {
	visibility: int,
}

WeatherResponse :: struct {
	clouds:     Clouds,
	sys:        Sys,
	name:       string,
	base:       string,
	coord:      Coord,
	timezone:   int,
	weather:    []Weather,
	main:       Main,
	visibility: int,
	dt:         f64,
	id:         int,
	wind:       Wind,
	cod:        int,
}
